Missing 'version' from plan during application create

Bug #1376950 reported by Steve McLellan on 2014-10-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Solum
Low
Unassigned

Bug Description

With current master branches as of 10/2/14 the dashboard doesn't add a 'version' parameter to the plan when creating a new application; this causes an error on line 38 of the plan controller (https://github.com/stackforge/solum/blob/master/solum/api/controllers/v1/plan.py#L38).

Adding plan['version'] = 1 in the dashboard (https://github.com/stackforge/solum-dashboard/blob/master/solumdashboard/applications/workflows/create.py#L70) fixes the error (and '1' seems to be the only version supported currently).

Adrian Otto (aotto) on 2015-06-12
Changed in solum:
status: New → Triaged
importance: Undecided → Low
milestone: none → 2015.1.1
tags: added: solum-api

Solum has moved away from using the plan abstraction, so marking this as 'Won't Fix'.

Changed in solum:
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers